> For the complete documentation index, see [llms.txt](https://docs.team-panel.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.team-panel.com/modules/backup/ssh-key-hinzufugen.md).

# SSH Key hinzufügen

Damit das Backup-Skript auf den Server zugreifen kann, muss dem Server ein SSH-Key von Team-Panel hinzugefügt werden.

Verbindet euch zunächst mit eurem Linux-Server und gebt `sudo nano /etc/ssh/sshd_config`. Sucht dort nach den folgenden Zeilen.

```
#PubkeyAuthentication yes

# Expect .ssh/authorized_keys2 to be disregarded by default in future.
#AuthorizedKeysFile     .ssh/authorized_keys .ssh/authorized_keys2 
```

Entfernt nun bitte das # vor diesen Zeilen, sodass diese wie folgt aussehen:

```
PubkeyAuthentication yes

# Expect .ssh/authorized_keys2 to be disregarded by default in future.
AuthorizedKeysFile     .ssh/authorized_keys .ssh/authorized_keys2 
```

Sobald das erledigt ist, könnt ihr das Nano-Terminal mit\
STRG + X, Y (Windows) und Enter bzw. ⌘ + X,Y und Enter (Mac) \
schließen.

Als Nächstes gebt ihr `sudo nano ~/.ssh/authorized_keys` ein und fügt den SSH-Key des Team-Panels ein, der euch auf der Erstellungsseite angezeigt wird. Auch hier könnt ihr das Nano-Terminal mit STRG + X, Y (Windows) und Enter bzw. ⌘ + X,Y und Enter (Mac)  schließen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.team-panel.com/modules/backup/ssh-key-hinzufugen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
